/*
  But : Faire du travail pour afficher les données de l'API
  Auteur : Maxime Commergnat
  Date :   20.06.2021 / V1.0 
*/
class AnimeSearchCtrl {
  constructor() {
    $("#chercher-anime").click(() => {
      // Sert pour affichage de la liste dans la console
      window.animeCards = null;
      this.clearCards();
      this.recuperationURL();
    });
  }

  recuperationURL() {
    let urlImage = document.getElementById("search-bar");
    service.chercherAnime(urlImage.value, this.OKApi);
  }

  clearCards() {
    $("#cards-container").remove();
    $("#card-details").remove();

    let cards = document.createElement("div");
    let details = document.createElement("div");

    cards.setAttribute("id", "cards-container");
    cards.setAttribute("class", "col");
    details.setAttribute("id", "card-details");
    details.setAttribute("class", "col");

    $("#cards-container-row").append(cards);
    $("#cards-container-row").append(details);
  }

  OKApi(data) {
    console.log("Data de l'API : ");
    console.log(data);
    if (data.result) {
      let result = data.result;

      // Sert pour affichage de la liste dans la console
      window.animeCards = new Array();

      for (let i in result) {
        let titre = result[i].anilist.title.romaji;
        let titre_anglais = result[i].anilist.title.english;
        let episode = result[i].episode;
        let image = result[i].image;
        let video = result[i].video;

        let animeCard = new AnimeCard(
          titre,
          titre_anglais,
          episode,
          image,
          video
        );

        window.animeCards.push(animeCard);
        console.log("Ajout de la carte N° : " + i);
      }
      console.log("Affichage de la liste de carte :");
      console.log(window.animeCards);
    }
  }
}
